Bug 193615 - [RFE] it would be nice to be able to use local (file:///) URLs in mock's yum config
[RFE] it would be nice to be able to use local (file:///) URLs in mock's yum ...
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-05-31 02:36 EDT by Alexandre Oliva
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-01 13:32:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2006-05-31 02:36:05 EDT
I have a local mirror of rawhide, which is available over NFS or on my local
main server, but not over ftp or http.  Mock currently makes it impossible
AFAICT to use this local copy for builds.  It would be possible to get it to use
them by introducing support for bind mounts in the mock build tree.

Also, it would be nice if chroot config files didn't have to be in /etc/mock,
such that I could set up mock config files and build roots as a regular user,
after adding my regular user to the group mock.

Is any such thing planner or even in the works?
Comment 1 Seth Vidal 2006-06-01 13:32:25 EDT
mock for the buildsys and for my own personal box uses file:// repos just fine.
Have you actaully tested it?



works a treat.
Comment 2 Alexandre Oliva 2006-06-02 05:25:18 EDT
Yes, I tried it in the mock config, and I just copied the entries from my
yum.conf, but mock wouldn't find the pathnames within the chroot, for reasons
that seemed obvious to me.  I'll try again and see if I made any obvious
mistakes, if this is actually expected to work.
Comment 3 Seth Vidal 2006-06-02 07:53:22 EDT
keep in mind that the file:/// are for paths OUTSIDE of the chroot.

but yes, it is not only expected it is KNOWN to work.

the fedora extras buildsys uses it this way.

You did create the repodata in your local file dir, right?

Note You need to log in before you can comment on or make changes to this bug.